#include <bits/stdc++.h>
using namespace std;

int main()
{
    string s;
    cin>> s;
    int c=0;
    reverse(s.begin(),s.end());
    for(int i=0;i<s.size();i++){
        if(s[i]=='0'){
            c++;
            continue;
        }
        else if(s[i]=='2'){
            cout<< 5;
        }
        else if(s[i]=='5'){
            cout<< 2;
        }
        else {
            cout<< s[i];
        }
    }
    if(c==s.size()){
        cout<< 0;
    }
}
